=== modified file 'Makefile'
--- Makefile	2009-01-10 05:41:16 +0000
+++ Makefile	2008-12-28 10:20:47 +0000
@@ -9,14 +9,13 @@
 #DEBUG=-ggdb3
 # For info about _FORTIFY_SOURCE, see
 # <http://gcc.gnu.org/ml/gcc-patches/2004-09/msg02055.html>
-FORTIFY=-D_FORTIFY_SOURCE=2 -fstack-protector-all -fPIC -fPIE
-LINK_FORTIFY_LD=-z relro -fPIE
-LINK_FORTIFY=-pie
+FORTIFY=-D_FORTIFY_SOURCE=2 -fstack-protector-all -fPIE -pie
+LINK_FORTIFY=-z relro -pie
 #COVERAGE=--coverage
 OPTIMIZE=-Os
 LANGUAGE=-std=gnu99
 htmldir=man
-version=1.0.3
+version=1.0.2
 SED=sed
 
 ## Use these settings for a traditional /usr/local install
@@ -46,7 +45,7 @@
 CFLAGS=$(WARN) $(DEBUG) $(FORTIFY) $(COVERAGE) $(OPTIMIZE) \
 	$(LANGUAGE) $(GNUTLS_CFLAGS) $(AVAHI_CFLAGS) $(GPGME_CFLAGS) \
 	-DVERSION='"$(version)"'
-LDFLAGS=$(COVERAGE) $(LINK_FORTIFY) $(foreach flag,$(LINK_FORTIFY_LD),-Xlinker $(flag))
+LDFLAGS=$(COVERAGE) $(foreach flag,$(LINK_FORTIFY),-Xlinker $(flag))
 
 # Commands to format a DocBook <refentry> document into a manual page
 DOCBOOKTOMAN=cd $(dir $<); xsltproc --nonet --xinclude \
@@ -77,7 +76,7 @@
 PLUGINS=plugins.d/password-prompt plugins.d/mandos-client \
 	plugins.d/usplash plugins.d/splashy plugins.d/askpass-fifo
 CPROGS=plugin-runner $(PLUGINS)
-PROGS=mandos mandos-keygen $(CPROGS)
+PROGS=mandos mandos-keygen mandos-list $(CPROGS)
 DOCS=mandos.8 plugin-runner.8mandos mandos-keygen.8 \
 	plugins.d/mandos-client.8mandos \
 	plugins.d/password-prompt.8mandos mandos.conf.5 \
@@ -164,6 +163,11 @@
 		--expression='s/^\(VERSION="\)[^"]*"$$/\1$(version)"/' \
 		$@
 
+mandos-list: Makefile
+	$(SED) --in-place \
+		--expression='s/^\(version = "\)[^"]*"$$/\1$(version)"/' \
+		$@
+
 mandos.lsm: Makefile
 	$(SED) --in-place \
 		--expression='s/^\(Version:\).*/\1\t$(version)/' \
@@ -171,9 +175,6 @@
 	$(SED) --in-place \
 		--expression='s/^\(Entered-date:\).*/\1\t$(shell date --rfc-3339=date --reference=Makefile)/' \
 		$@
-	$(SED) --in-place \
-		--expression='s/\(mandos_\)[0-9.]\+\(\.orig\.tar\.gz\)/\1$(version)\2/' \
-		$@
 
 plugins.d/mandos-client: plugins.d/mandos-client.o
 	$(LINK.o) $(GNUTLS_LIBS) $(AVAHI_LIBS) $(GPGME_LIBS) \
@@ -198,8 +199,7 @@
 run-client: all keydir/seckey.txt keydir/pubkey.txt
 	./plugin-runner --plugin-dir=plugins.d \
 		--config-file=plugin-runner.conf \
-		--options-for=mandos-client:--seckey=keydir/seckey.txt,--pubkey=keydir/pubkey.txt \
-		$(CLIENTARGS)
+		--options-for=mandos-client:--seckey=keydir/seckey.txt,--pubkey=keydir/pubkey.txt
 
 # Used by run-client
 keydir/seckey.txt keydir/pubkey.txt: mandos-keygen
@@ -208,7 +208,7 @@
 
 # Run the server with a local config
 run-server: confdir/mandos.conf confdir/clients.conf
-	./mandos --debug --configdir=confdir $(SERVERARGS)
+	./mandos --debug --configdir=confdir
 
 # Used by run-server
 confdir/mandos.conf: mandos.conf

=== modified file 'NEWS'
--- NEWS	2009-01-06 05:10:34 +0000
+++ NEWS	2008-10-17 18:56:25 +0000
@@ -1,18 +1,6 @@
 This NEWS file records noteworthy changes, very tersely.
 See the manual for detailed information.
 
-Version 1.0.3 (2009-01-06)
-* Server
-** Now tries to change to user and group "_mandos" before falling back
-   to trying the old values "mandos", "nobody:nogroup", and "65534".
-** Now does not abort on startup even if no clients are defined in
-   clients.conf.
-
-* Client
-** Plugins named "*.dpkg-bak" are now ignored.
-** Hopefully fixed compilation failure on some architectures where the
-   C compiler does not recognize the "-z" option as a linker option.
-
 Version 1.0.2 (2008-10-17)
 * mandos-keygen now signs the encrypted key blobs.  This signature is
   not currently verified by mandos-client, but this may change in the

=== modified file 'README'
--- README	2009-01-04 21:54:55 +0000
+++ README	2008-10-28 18:00:20 +0000
@@ -160,8 +160,8 @@
 
 * Copyright
 
-    Copyright © 2008,2009 Teddy Hogeborn
-    Copyright © 2008,2009 Björn Påhlsson
+    Copyright © 2008 Teddy Hogeborn
+    Copyright © 2008 Björn Påhlsson
   
 ** License:
    

=== modified file 'clients.conf'
--- clients.conf	2009-01-08 03:54:06 +0000
+++ clients.conf	2008-09-21 13:42:34 +0000
@@ -14,7 +14,7 @@
 ;interval = 5m
 
 # What command to run as "the checker".
-;checker = fping -q -- %%(host)s
+;checker = fping -q -- %(host)s
 
 
 ;####

=== modified file 'debian/changelog'
--- debian/changelog	2009-01-10 05:41:16 +0000
+++ debian/changelog	2008-10-17 18:56:25 +0000
@@ -1,26 +1,3 @@
-mandos (1.0.3-2) unstable; urgency=low
-
-  * Removed some now-unused debconf files.
-  * Changed postinst scripts to not source debconf/confmodule.
-  * Removed po-debconf from build-depends.
-
- -- Teddy Hogeborn <teddy@fukt.bsnet.se>  Tue, 06 Jan 2009 21:28:20 +0100
-
-mandos (1.0.3-1) unstable; urgency=low
-
-  * New upstream release.
-  * Add -Xlinker to linker flags to fix FTBFS for some architectures.
-    Thanks to Thiemo Seufer <ths@networkno.de> for the report and
-    fix. (Closes:  #509398)
-  * Remove debconf use altogether, thereby stopping debconf abuse.  Thanks
-    to Christian Perrier <bubulle@debian.org>. (Closes:  #509653)
-  * Add NEWS file to /usr/share/doc directories.
-  * Use and create "_mandos" user+group.  Rename old user+group created by
-    older versions of this package.
-  * Fix manual pages by adding build-depend on "docbook-xml".
-
- -- Teddy Hogeborn <teddy@fukt.bsnet.se>  Tue, 06 Jan 2009 01:21:20 +0100
-
 mandos (1.0.2-1) unstable; urgency=low
 
   * New upstream release.

=== modified file 'debian/control'
--- debian/control	2009-01-06 20:39:35 +0000
+++ debian/control	2008-09-30 03:19:39 +0000
@@ -4,8 +4,8 @@
 Maintainer: Mandos Maintainers <mandos@fukt.bsnet.se>
 Uploaders: Teddy Hogeborn <teddy@fukt.bsnet.se>,
 	   Björn Påhlsson <belorn@fukt.bsnet.se>
-Build-Depends: debhelper (>= 7), docbook-xml, docbook-xsl,
-	libavahi-core-dev, libgpgme11-dev, libgnutls-dev, xsltproc,
+Build-Depends: debhelper (>= 7), docbook-xsl, libavahi-core-dev,
+	libgpgme11-dev, libgnutls-dev, xsltproc, po-debconf,
 	pkg-config
 Standards-Version: 3.8.0
 Vcs-Bzr: http://ftp.fukt.bsnet.se/pub/mandos/trunk

=== modified file 'debian/copyright'
--- debian/copyright	2009-01-04 21:54:55 +0000
+++ debian/copyright	2008-10-15 19:54:11 +0000
@@ -5,8 +5,8 @@
 Upstream-Source: <http://www.fukt.bsnet.se/mandos>
 
 Files: *
-Copyright: Copyright © 2008,2009 Teddy Hogeborn
-Copyright: Copyright © 2008,2009 Björn Påhlsson
+Copyright: Copyright © 2008 Teddy Hogeborn
+Copyright: Copyright © 2008 Björn Påhlsson
 License: GPL-3+
     This program is free software: you can redistribute it and/or
     modify it under the terms of the GNU General Public License as

=== added file 'debian/mandos-client.config'
--- debian/mandos-client.config	1970-01-01 00:00:00 +0000
+++ debian/mandos-client.config	2008-09-21 04:22:50 +0000
@@ -0,0 +1,27 @@
+#! /bin/sh
+#
+# config	Mandos Debconf configuration.
+#
+
+# Source debconf library.
+. /usr/share/debconf/confmodule
+if ! db_version 2.0; then
+    echo "mandos.config: need DebConf 2.0 or later"
+    exit 1
+fi
+
+set -e
+umask 022
+
+# Now, interaction.  Batch it in case any front ends can use this.
+db_beginblock
+
+# If this is a first time install then prompt 
+if [ "$1" = "configure" -a "$2" != "" ]; then
+	db_input high mandos-client/not-yet-configured || true
+fi
+
+db_endblock
+db_go || true
+
+exit 0

=== modified file 'debian/mandos-client.postinst'
--- debian/mandos-client.postinst	2009-01-06 05:08:37 +0000
+++ debian/mandos-client.postinst	2008-12-10 01:26:02 +0000
@@ -15,6 +15,8 @@
 # If prerm fails during replacement due to conflict:
 #       <postinst> abort-remove in-favour <new-package> <version>
 
+. /usr/share/debconf/confmodule
+
 # Update the initial RAM file system image
 update_initramfs()
 {

=== added file 'debian/mandos-client.templates'
--- debian/mandos-client.templates	1970-01-01 00:00:00 +0000
+++ debian/mandos-client.templates	2008-09-21 04:22:50 +0000
@@ -0,0 +1,8 @@
+Template: mandos-client/not-yet-configured
+Type: note
+_Description: Your system needs more configuration[ mandos-client]
+ Your system can not function as a Mandos client until a
+ password for this client has been added to the
+ configuration on the Mandos server.  Please read
+ /usr/share/doc/mandos-client/README.Debian.gz to find out
+ how.

=== modified file 'debian/mandos.README.Debian'
--- debian/mandos.README.Debian	2009-01-04 22:15:01 +0000
+++ debian/mandos.README.Debian	2008-09-21 04:22:50 +0000
@@ -1,7 +1,7 @@
-The Mandos server is useless without at least one configured client in
+The Mandos server cannot run without at least one configured client in
 /etc/mandos/clients.conf.  To create one, install the "mandos-client"
 package on a client computer, and run "mandos-keygen --password" there
 to get a config file stanza.  Append that to /etc/mandos/clients.conf
 on the Mandos server.
 
- -- Teddy Hogeborn <teddy@fukt.bsnet.se>, Sun,  4 Jan 2009 22:59:22 +0100
+ -- Teddy Hogeborn <teddy@fukt.bsnet.se>, Sat, 20 Sep 2008 21:21:19 +0200

=== added file 'debian/mandos.config'
--- debian/mandos.config	1970-01-01 00:00:00 +0000
+++ debian/mandos.config	2008-09-21 04:22:50 +0000
@@ -0,0 +1,27 @@
+#! /bin/sh
+#
+# config	Mandos Debconf configuration.
+#
+
+# Source debconf library.
+. /usr/share/debconf/confmodule
+if ! db_version 2.0; then
+    echo "mandos.config: need DebConf 2.0 or later"
+    exit 1
+fi
+
+set -e
+umask 022
+
+# Now, interaction.  Batch it in case any front ends can use this.
+db_beginblock
+
+# If this is a first time install then prompt 
+if [ "$1" = "configure" -a "$2" != "" ]; then
+	db_input high mandos/not-yet-configured || true
+fi
+
+db_endblock
+db_go || true
+
+exit 0

=== modified file 'debian/mandos.postinst'
--- debian/mandos.postinst	2009-01-06 05:08:37 +0000
+++ debian/mandos.postinst	2008-12-10 01:26:02 +0000
@@ -15,6 +15,8 @@
 # If prerm fails during replacement due to conflict:
 #       <postinst> abort-remove in-favour <new-package> <version>
 
+. /usr/share/debconf/confmodule
+
 case "$1" in
     configure)
 	# Rename old "mandos" user and group

=== added file 'debian/mandos.templates'
--- debian/mandos.templates	1970-01-01 00:00:00 +0000
+++ debian/mandos.templates	2008-09-21 04:22:50 +0000
@@ -0,0 +1,9 @@
+Template: mandos/not-yet-configured
+Type: note
+_Description: Your system needs more configuration[ mandos]
+ Your system has not yet been completely configured as a
+ Mandos server - clients need to be added to to
+ /etc/mandos/clients.conf.  Please read
+ /usr/share/doc/mandos/README.Debian.gz to find out how.
+ .
+ (The server has not been started.)

=== added file 'debian/po/POTFILES.in'
--- debian/po/POTFILES.in	1970-01-01 00:00:00 +0000
+++ debian/po/POTFILES.in	2008-09-21 04:22:50 +0000
@@ -0,0 +1,2 @@
+[type: gettext/rfc822deb] mandos.templates
+[type: gettext/rfc822deb] mandos-client.templates

=== added file 'debian/po/sv.po'
--- debian/po/sv.po	1970-01-01 00:00:00 +0000
+++ debian/po/sv.po	2008-09-21 04:22:50 +0000
@@ -0,0 +1,66 @@
+# SOME DESCRIPTIVE TITLE.
+# Copyright (C) YEAR THE PACKAGE'S COPYRIGHT HOLDER
+# This file is distributed under the same license as the mandos package.
+# FIRST AUTHOR <EMAIL@ADDRESS>, YEAR.
+#
+msgid ""
+msgstr ""
+"Project-Id-Version: 1.0\n"
+"Report-Msgid-Bugs-To: mandos@packages.debian.org\n"
+"POT-Creation-Date: 2008-09-20 23:01+0200\n"
+"PO-Revision-Date: 2008-09-21 06:01+0200\n"
+"Last-Translator: Teddy Hogeborn <teddy@fukt.bsnet.se>\n"
+"Language-Team: Swedish <tp-sv@listor.tp-sv.se>\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=UTF-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+
+#. Type: note
+#. Description
+#: ../mandos.templates:1001
+msgid "Your system needs more configuration[ mandos]"
+msgstr "Ditt system behöver ytterligare konfigurering"
+
+#. Type: note
+#. Description
+#: ../mandos.templates:1001
+#| msgid ""
+#| "Your system has not yet been completely configured as a Mandos server - "
+#| "you need to setup /etc/mandos/clients.conf. Please read /usr/share/doc/"
+#| "mandos/README.Debian.gz to find out how."
+msgid ""
+"Your system has not yet been completely configured as a Mandos server - "
+"clients need to be added to to /etc/mandos/clients.conf.  Please read /usr/"
+"share/doc/mandos/README.Debian.gz to find out how."
+msgstr ""
+"Ditt system är inte helt inställd som en Mandos-server än -\n"
+"det behövs läggas till klienter i Mandos-serverns\n"
+"inställingar.  Var vänlig läs\n"
+"/usr/share/doc/mandos-client/README.Debian.gz för att få\n"
+"veta hur."
+
+#. Type: note
+#. Description
+#: ../mandos.templates:1001
+msgid "(The server has not been started.)"
+msgstr "(Servern har inte startats.)"
+
+#. Type: note
+#. Description
+#: ../mandos-client.templates:1001
+msgid "Your system needs more configuration[ mandos-client]"
+msgstr "Ditt system behöver ytterligare konfigurering"
+
+#. Type: note
+#. Description
+#: ../mandos-client.templates:1001
+msgid ""
+"Your system can not function as a Mandos client until a password for this "
+"client has been added to the configuration on the Mandos server.  Please "
+"read /usr/share/doc/mandos-client/README.Debian.gz to find out how."
+msgstr ""
+"Ditt system kan inte fungera som en Mandos-klient förrän\n"
+"ett krypterat lösenord har lagts till i Mandos-serverns\n"
+"inställingar.  Var vänlig läs\n"
+"/usr/share/doc/mandos-client/README.Debian.gz för att få\n"
+"veta hur."

=== modified file 'debian/rules'
--- debian/rules	2009-01-04 22:26:07 +0000
+++ debian/rules	2008-09-30 18:59:44 +0000
@@ -38,6 +38,7 @@
 	rm -f build-arch-stamp build-indep-stamp configure-stamp
 	dh_auto_clean
 	dh_clean
+	debconf-updatepo
 
 install: install-indep install-arch
 install-indep:
@@ -65,6 +66,7 @@
 	dh_testroot
 	dh_installchangelogs
 	dh_installdocs
+	dh_installdebconf
 	dh_link
 	dh_strip
 	dh_compress

=== modified file 'mandos'
--- mandos	2009-01-10 05:41:16 +0000
+++ mandos	2008-12-29 02:44:54 +0000
@@ -11,8 +11,8 @@
 # and some lines in "main".
 # 
 # Everything else is
-# Copyright © 2008,2009 Teddy Hogeborn
-# Copyright © 2008,2009 Björn Påhlsson
+# Copyright © 2008 Teddy Hogeborn
+# Copyright © 2008 Björn Påhlsson
 # 
 # This program is free software: you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -35,7 +35,7 @@
 
 import SocketServer
 import socket
-import optparse
+from optparse import OptionParser
 import datetime
 import errno
 import gnutls.crypto
@@ -66,7 +66,7 @@
 import ctypes
 import ctypes.util
 
-version = "1.0.3"
+version = "1.0.2"
 
 logger = logging.Logger('mandos')
 syslogger = (logging.handlers.SysLogHandler
@@ -889,7 +889,7 @@
 
 
 def main():
-    parser = optparse.OptionParser(version = "%%prog %s" % version)
+    parser = OptionParser(version = "%%prog %s" % version)
     parser.add_option("-i", "--interface", type="string",
                       metavar="IF", help="Bind to interface IF")
     parser.add_option("-a", "--address", type="string",
@@ -911,7 +911,8 @@
                       " files")
     parser.add_option("--no-dbus", action="store_false",
                       dest="use_dbus",
-                      help=optparse.SUPPRESS_HELP)
+                      help="Do not provide D-Bus system bus"
+                      " interface")
     options = parser.parse_args()[0]
     
     if options.check:
@@ -957,7 +958,6 @@
     # For convenience
     debug = server_settings["debug"]
     use_dbus = server_settings["use_dbus"]
-    use_dbus = False
     
     if not debug:
         syslogger.setLevel(logging.WARNING)
@@ -972,7 +972,7 @@
     # Parse config file with clients
     client_defaults = { "timeout": "1h",
                         "interval": "5m",
-                        "checker": "fping -q -- %%(host)s",
+                        "checker": "fping -q -- %(host)s",
                         "host": "",
                         }
     client_config = ConfigParser.SafeConfigParser(client_defaults)
@@ -993,17 +993,23 @@
     
     try:
         uid = pwd.getpwnam("_mandos").pw_uid
+    except KeyError:
+        try:
+            uid = pwd.getpwnam("mandos").pw_uid
+        except KeyError:
+            try:
+                uid = pwd.getpwnam("nobody").pw_uid
+            except KeyError:
+                uid = 65534
+    try:
         gid = pwd.getpwnam("_mandos").pw_gid
     except KeyError:
         try:
-            uid = pwd.getpwnam("mandos").pw_uid
             gid = pwd.getpwnam("mandos").pw_gid
         except KeyError:
             try:
-                uid = pwd.getpwnam("nobody").pw_uid
                 gid = pwd.getpwnam("nogroup").pw_gid
             except KeyError:
-                uid = 65534
                 gid = 65534
     try:
         os.setuid(uid)
@@ -1040,7 +1046,8 @@
                               use_dbus = use_dbus)
                        for section in client_config.sections()))
     if not clients:
-        logger.warning(u"No clients defined")
+        logger.critical(u"No clients defined")
+        sys.exit(1)
     
     if debug:
         # Redirect stdin so all checkers get /dev/null
@@ -1129,9 +1136,6 @@
                         self.ClientRemoved(object_path)
                         return
                 raise KeyError
-            @dbus.service.method(_interface)
-            def Quit(self):
-                main_loop.quit()
 
             del _interface
     

=== modified file 'mandos-clients.conf.xml'
--- mandos-clients.conf.xml	2009-01-08 03:54:06 +0000
+++ mandos-clients.conf.xml	2008-10-07 21:31:09 +0000
@@ -3,7 +3,7 @@
 	"http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
 <!ENTITY CONFNAME "mandos-clients.conf">
 <!ENTITY CONFPATH "<filename>/etc/mandos/clients.conf</filename>">
-<!ENTITY TIMESTAMP "2009-01-08">
+<!ENTITY TIMESTAMP "2008-10-07">
 <!ENTITY % common SYSTEM "common.ent">
 %common;
 ]>
@@ -33,7 +33,6 @@
     </authorgroup>
     <copyright>
       <year>2008</year>
-      <year>2009</year>
       <holder>Teddy Hogeborn</holder>
       <holder>Björn Påhlsson</holder>
     </copyright>
@@ -170,7 +169,7 @@
 	    <varname>PATH</varname> will be searched.  The default
 	    value for the checker command is <quote><literal
 	    ><command>fping</command> <option>-q</option> <option
-	    >--</option> %%(host)s</literal></quote>.
+	    >--</option> %(host)s</literal></quote>.
 	  </para>
 	  <para>
 	    In addition to normal start time expansion, this option
@@ -351,7 +350,7 @@
 [DEFAULT]
 timeout = 1h
 interval = 5m
-checker = fping -q -- %%(host)s
+checker = fping -q -- %(host)s
 
 # Client "foo"
 [foo]

=== modified file 'mandos-keygen'
--- mandos-keygen	2009-01-06 05:10:34 +0000
+++ mandos-keygen	2008-11-12 05:46:49 +0000
@@ -2,8 +2,8 @@
 # 
 # Mandos key generator - create a new OpenPGP key for a Mandos client
 # 
-# Copyright © 2008,2009 Teddy Hogeborn
-# Copyright © 2008,2009 Björn Påhlsson
+# Copyright © 2008 Teddy Hogeborn
+# Copyright © 2008 Björn Påhlsson
 # 
 # This program is free software: you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -21,7 +21,7 @@
 # Contact the authors at <mandos@fukt.bsnet.se>.
 # 
 
-VERSION="1.0.3"
+VERSION="1.0.2"
 
 KEYDIR="/etc/keys/mandos"
 KEYTYPE=DSA

=== modified file 'mandos-keygen.xml'
--- mandos-keygen.xml	2009-01-04 21:54:55 +0000
+++ mandos-keygen.xml	2008-10-04 01:55:56 +0000
@@ -2,7 +2,7 @@
 <!DOCTYPE refentry PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
 	"http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
 <!ENTITY COMMANDNAME "mandos-keygen">
-<!ENTITY TIMESTAMP "2009-01-04">
+<!ENTITY TIMESTAMP "2008-10-03">
 <!ENTITY % common SYSTEM "common.ent">
 %common;
 ]>
@@ -32,7 +32,6 @@
     </authorgroup>
     <copyright>
       <year>2008</year>
-      <year>2009</year>
       <holder>Teddy Hogeborn</holder>
       <holder>Björn Påhlsson</holder>
     </copyright>

=== added file 'mandos-list'
--- mandos-list	1970-01-01 00:00:00 +0000
+++ mandos-list	2008-12-21 19:19:25 +0000
@@ -0,0 +1,65 @@
+#!/usr/bin/python
+# -*- mode: python; coding: utf-8 -*-
+
+import dbus
+from optparse import OptionParser
+import locale
+
+locale.setlocale(locale.LC_ALL, u'')
+
+tablewords = {
+    'name': u'Name',
+    'enabled': u'Enabled',
+    'timeout': u'Timeout',
+    'last_checked_ok': u'Last Successful Check',
+    'created': u'Created',
+    'interval': u'Interval',
+    'host': u'Host',
+    'fingerprint': u'Fingerprint',
+    'checker_running': u'Check Is Running',
+    'last_enabled': u'Last Enabled',
+    'checker': u'Checker',
+    }
+busname = 'org.mandos-system.Mandos'
+object_path = '/Mandos'
+interface = 'org.mandos_system.Mandos'
+version = "1.0.2"
+defaultkeywords = ('name', 'enabled', 'timeout', 'last_checked_ok',
+                   'checker')
+
+parser = OptionParser(version = "%%prog %s" % version)
+parser.add_option("-a", "--all", action="store_true", default=False,
+                  help="Print all fields")
+options = parser.parse_args()[0]
+if options.all:
+    keywords = ('name', 'enabled', 'timeout', 'last_checked_ok',
+                'created', 'interval', 'host', 'fingerprint',
+                'checker_running', 'last_enabled', 'checker')
+else:
+    keywords = defaultkeywords
+
+
+bus = dbus.SystemBus()
+mandos_dbus_objc = bus.get_object(busname, object_path)
+mandos_serv = dbus.Interface(mandos_dbus_objc,
+                             dbus_interface = interface)
+mandos_clients = mandos_serv.GetAllClientsWithProperties()
+
+def valuetostring(x):
+    if type(x) is dbus.Boolean:
+        return u"Yes" if x else u"No"
+    else:
+        return unicode(x)
+
+format_string = u' '.join(u'%%-%ds'
+                         % max(len(tablewords[key]),
+                               max(len(valuetostring(client[key]))
+                                   for client
+                                   in mandos_clients.itervalues()))
+                         for key in keywords)
+print format_string % tuple(tablewords[key] for key in keywords) 
+for client in mandos_clients.itervalues():
+    print format_string % tuple(valuetostring(client[key])
+                                for key in keywords)
+
+

=== modified file 'mandos.conf.xml'
--- mandos.conf.xml	2009-01-04 21:54:55 +0000
+++ mandos.conf.xml	2008-12-29 02:44:54 +0000
@@ -3,7 +3,7 @@
 	"http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
 <!ENTITY CONFNAME "mandos.conf">
 <!ENTITY CONFPATH "<filename>/etc/mandos/mandos.conf</filename>">
-<!ENTITY TIMESTAMP "2009-01-04">
+<!ENTITY TIMESTAMP "2008-12-28">
 <!ENTITY % common SYSTEM "common.ent">
 %common;
 ]>
@@ -33,7 +33,6 @@
     </authorgroup>
     <copyright>
       <year>2008</year>
-      <year>2009</year>
       <holder>Teddy Hogeborn</holder>
       <holder>Björn Påhlsson</holder>
     </copyright>

=== modified file 'mandos.lsm'
--- mandos.lsm	2009-01-06 05:10:34 +0000
+++ mandos.lsm	2008-12-10 01:26:02 +0000
@@ -1,7 +1,7 @@
 Begin4
 Title:		Mandos
-Version:	1.0.3
-Entered-date:	2009-01-06
+Version:	1.0.2
+Entered-date:	2008-10-28
 Description:	The Mandos system allows computers to have encrypted
 root file systems and at the same time be capable of remote and/or
 unattended reboots.
@@ -12,9 +12,9 @@
 Maintained-by:	teddy@fukt.bsnet.se (Teddy Hogeborn),
 		belorn@fukt.bsnet.se (Björn Påhlsson)
 Primary-site: http://www.fukt.bsnet.se/mandos
-	      92K mandos_1.0.3.orig.tar.gz
+	      89K mandos_1.0.2.orig.tar.gz
 Alternate-site: ftp://ftp.fukt.bsnet.se/pub/mandos
-		92K mandos_1.0.3.orig.tar.gz
+		89K mandos_1.0.2.orig.tar.gz
 Platforms:	Requires GCC, GNU libC, Avahi, GnuPG, Python 2.4, and
 various other libraries.  While made for Debian GNU/Linux, it is
 probably portable to other distributions, but not other Unixes.

=== modified file 'mandos.xml'
--- mandos.xml	2009-01-05 23:26:06 +0000
+++ mandos.xml	2008-12-29 02:44:54 +0000
@@ -2,7 +2,7 @@
 <!DOCTYPE refentry PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
 "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
 <!ENTITY COMMANDNAME "mandos">
-<!ENTITY TIMESTAMP "2009-01-04">
+<!ENTITY TIMESTAMP "2008-12-28">
 <!ENTITY % common SYSTEM "common.ent">
 %common;
 ]>
@@ -32,7 +32,6 @@
     </authorgroup>
     <copyright>
       <year>2008</year>
-      <year>2009</year>
       <holder>Teddy Hogeborn</holder>
       <holder>Björn Påhlsson</holder>
     </copyright>
@@ -85,6 +84,8 @@
       <replaceable>DIRECTORY</replaceable></option></arg>
       <sbr/>
       <arg><option>--debug</option></arg>
+      <sbr/>
+      <arg><option>--no-dbus</option></arg>
     </cmdsynopsis>
     <cmdsynopsis>
       <command>&COMMANDNAME;</command>
@@ -229,6 +230,15 @@
 	  </para>
 	</listitem>
       </varlistentry>
+      
+      <varlistentry>
+	<term><option>--no-dbus</option></term>
+	<listitem>
+	  <xi:include href="mandos-options.xml" xpointer="dbus"/>
+	  <para>
+	    See also <xref linkend="dbus"/>.
+	</listitem>
+      </varlistentry>
     </variablelist>
   </refsect1>
   
@@ -324,6 +334,16 @@
     </para>
   </refsect1>
   
+  <refsect1 id="dbus">
+    <title>D-BUS INTERFACE</title>
+    <para>
+      The server will by default provide a D-Bus system bus interface.
+      This interface will only be accessible by the root user or a
+      Mandos-specific user, if such a user exists.
+      <!-- XXX -->
+    </para>
+  </refsect1>
+
   <refsect1 id="exit_status">
     <title>EXIT STATUS</title>
     <para>

=== modified file 'plugin-runner.c'
--- plugin-runner.c	2009-01-06 22:49:50 +0000
+++ plugin-runner.c	2008-11-11 16:07:18 +0000
@@ -2,8 +2,8 @@
 /*
  * Mandos plugin runner - Run Mandos plugins
  *
- * Copyright © 2008,2009 Teddy Hogeborn
- * Copyright © 2008,2009 Björn Påhlsson
+ * Copyright © 2008 Teddy Hogeborn
+ * Copyright © 2008 Björn Påhlsson
  * 
  * This program is free software: you can redistribute it and/or
  * modify it under the terms of the GNU General Public License as
@@ -309,7 +309,6 @@
   struct stat st;
   fd_set rfds_all;
   int ret, maxfd = 0;
-  ssize_t sret;
   uid_t uid = 65534;
   gid_t gid = 65534;
   bool debug = false;
@@ -547,6 +546,7 @@
     char *org_line = NULL;
     char *p, *arg, *new_arg, *line;
     size_t size = 0;
+    ssize_t sret;
     const char whitespace_delims[] = " \r\t\f\v\n";
     const char comment_delim[] = "#";
 
@@ -1019,18 +1019,18 @@
 	proc->buffer_size += BUFFER_SIZE;
       }
       /* Read from the process */
-      sret = read(proc->fd, proc->buffer + proc->buffer_length,
-		  BUFFER_SIZE);
-      if(sret < 0){
+      ret = read(proc->fd, proc->buffer + proc->buffer_length,
+		 BUFFER_SIZE);
+      if(ret < 0){
 	/* Read error from this process; ignore the error */
 	proc = proc->next;
 	continue;
       }
-      if(sret == 0){
+      if(ret == 0){
 	/* got EOF */
 	proc->eof = true;
       } else {
-	proc->buffer_length += (size_t) sret;
+	proc->buffer_length += (size_t) ret;
       }
     }
   }

=== modified file 'plugin-runner.xml'
--- plugin-runner.xml	2009-01-04 21:54:55 +0000
+++ plugin-runner.xml	2008-09-30 07:23:39 +0000
@@ -2,7 +2,7 @@
 <!DOCTYPE refentry PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
 	"http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
 <!ENTITY COMMANDNAME "plugin-runner">
-<!ENTITY TIMESTAMP "2009-01-04">
+<!ENTITY TIMESTAMP "2008-09-30">
 <!ENTITY % common SYSTEM "common.ent">
 %common;
 ]>
@@ -32,7 +32,6 @@
     </authorgroup>
     <copyright>
       <year>2008</year>
-      <year>2009</year>
       <holder>Teddy Hogeborn</holder>
       <holder>Björn Påhlsson</holder>
     </copyright>

=== modified file 'plugins.d/askpass-fifo.c'
--- plugins.d/askpass-fifo.c	2009-01-10 02:21:13 +0000
+++ plugins.d/askpass-fifo.c	2008-11-11 16:07:18 +0000
@@ -2,8 +2,8 @@
 /*
  * Passprompt - Read a password from a FIFO and output it
  * 
- * Copyright © 2008,2009 Teddy Hogeborn
- * Copyright © 2008,2009 Björn Påhlsson
+ * Copyright © 2008 Teddy Hogeborn
+ * Copyright © 2008 Björn Påhlsson
  * 
  * This program is free software: you can redistribute it and/or
  * modify it under the terms of the GNU General Public License as
@@ -43,14 +43,14 @@
   
   /* Create FIFO */
   const char passfifo[] = "/lib/cryptsetup/passfifo";
-  ret = (int)TEMP_FAILURE_RETRY(mkfifo(passfifo, S_IRUSR | S_IWUSR));
+  ret = TEMP_FAILURE_RETRY(mkfifo(passfifo, S_IRUSR | S_IWUSR));
   if(ret == -1 and errno != EEXIST){
     perror("mkfifo");
     return EXIT_FAILURE;
   }
   
   /* Open FIFO */
-  int fifo_fd = (int)TEMP_FAILURE_RETRY(open(passfifo, O_RDONLY));
+  int fifo_fd = TEMP_FAILURE_RETRY(open(passfifo, O_RDONLY));
   if(fifo_fd == -1){
     perror("open");
     return EXIT_FAILURE;

=== modified file 'plugins.d/askpass-fifo.xml'
--- plugins.d/askpass-fifo.xml	2009-01-04 21:54:55 +0000
+++ plugins.d/askpass-fifo.xml	2008-10-04 20:09:53 +0000
@@ -2,7 +2,7 @@
 <!DOCTYPE refentry PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
 	"http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
 <!ENTITY COMMANDNAME "askpass-fifo">
-<!ENTITY TIMESTAMP "2009-01-04">
+<!ENTITY TIMESTAMP "2008-10-04">
 <!ENTITY % common SYSTEM "../common.ent">
 %common;
 ]>
@@ -32,7 +32,6 @@
     </authorgroup>
     <copyright>
       <year>2008</year>
-      <year>2009</year>
       <holder>Teddy Hogeborn</holder>
       <holder>Björn Påhlsson</holder>
     </copyright>

=== modified file 'plugins.d/mandos-client.c'
--- plugins.d/mandos-client.c	2009-01-10 02:21:13 +0000
+++ plugins.d/mandos-client.c	2008-11-11 16:07:18 +0000
@@ -9,8 +9,8 @@
  * "browse_callback", and parts of "main".
  * 
  * Everything else is
- * Copyright © 2008,2009 Teddy Hogeborn
- * Copyright © 2008,2009 Björn Påhlsson
+ * Copyright © 2008 Teddy Hogeborn
+ * Copyright © 2008 Björn Påhlsson
  * 
  * This program is free software: you can redistribute it and/or
  * modify it under the terms of the GNU General Public License as
@@ -156,7 +156,7 @@
     int fd;
     gpgme_data_t pgp_data;
     
-    fd = (int)TEMP_FAILURE_RETRY(open(filename, O_RDONLY));
+    fd = TEMP_FAILURE_RETRY(open(filename, O_RDONLY));
     if(fd == -1){
       perror("open");
       return false;
@@ -176,7 +176,7 @@
       return false;
     }
     
-    ret = (int)TEMP_FAILURE_RETRY(close(fd));
+    ret = TEMP_FAILURE_RETRY(close(fd));
     if(ret == -1){
       perror("close");
     }
@@ -501,7 +501,6 @@
 				      AvahiIfIndex if_index,
 				      mandos_context *mc){
   int ret, tcp_sd;
-  ssize_t sret;
   union { struct sockaddr in; struct sockaddr_in6 in6; } to;
   char *buffer = NULL;
   char *decrypted_buffer;
@@ -578,7 +577,7 @@
   written = 0;
   while (true){
     size_t out_size = strlen(out);
-    ret = (int)TEMP_FAILURE_RETRY(write(tcp_sd, out + written,
+    ret = TEMP_FAILURE_RETRY(write(tcp_sd, out + written,
 				   out_size - written));
     if (ret == -1){
       perror("write");
@@ -633,13 +632,13 @@
       goto mandos_end;
     }
     
-    sret = gnutls_record_recv(session, buffer+buffer_length,
-			      BUFFER_SIZE);
-    if (sret == 0){
+    ret = gnutls_record_recv(session, buffer+buffer_length,
+			     BUFFER_SIZE);
+    if (ret == 0){
       break;
     }
-    if (sret < 0){
-      switch(sret){
+    if (ret < 0){
+      switch(ret){
       case GNUTLS_E_INTERRUPTED:
       case GNUTLS_E_AGAIN:
 	break;
@@ -662,7 +661,7 @@
 	goto mandos_end;
       }
     } else {
-      buffer_length += (size_t) sret;
+      buffer_length += (size_t) ret;
     }
   }
   
@@ -704,7 +703,7 @@
   
  mandos_end:
   free(buffer);
-  ret = (int)TEMP_FAILURE_RETRY(close(tcp_sd));
+  ret = TEMP_FAILURE_RETRY(close(tcp_sd));
   if(ret == -1){
     perror("close");
   }
@@ -941,7 +940,7 @@
 	  goto end;
 	}
       }
-      ret = (int)TEMP_FAILURE_RETRY(close(sd));
+      ret = TEMP_FAILURE_RETRY(close(sd));
       if(ret == -1){
 	perror("close");
       }

=== modified file 'plugins.d/mandos-client.xml'
--- plugins.d/mandos-client.xml	2009-01-04 21:54:55 +0000
+++ plugins.d/mandos-client.xml	2008-10-04 01:55:56 +0000
@@ -2,7 +2,7 @@
 <!DOCTYPE refentry PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
 	"http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
 <!ENTITY COMMANDNAME "mandos-client">
-<!ENTITY TIMESTAMP "2009-01-04">
+<!ENTITY TIMESTAMP "2008-10-03">
 <!ENTITY % common SYSTEM "../common.ent">
 %common;
 ]>
@@ -32,7 +32,6 @@
     </authorgroup>
     <copyright>
       <year>2008</year>
-      <year>2009</year>
       <holder>Teddy Hogeborn</holder>
       <holder>Björn Påhlsson</holder>
     </copyright>

=== modified file 'plugins.d/password-prompt.c'
--- plugins.d/password-prompt.c	2009-01-08 03:54:06 +0000
+++ plugins.d/password-prompt.c	2008-11-11 16:07:18 +0000
@@ -2,8 +2,8 @@
 /*
  * Passprompt - Read a password from the terminal and print it
  * 
- * Copyright © 2008,2009 Teddy Hogeborn
- * Copyright © 2008,2009 Björn Påhlsson
+ * Copyright © 2008 Teddy Hogeborn
+ * Copyright © 2008 Björn Påhlsson
  * 
  * This program is free software: you can redistribute it and/or
  * modify it under the terms of the GNU General Public License as
@@ -79,7 +79,7 @@
 	.doc = "Debug mode", .group = 3 },
       { .name = NULL }
     };
-    
+  
     error_t parse_opt (int key, char *arg, struct argp_state *state) {
       /* Get the INPUT argument from `argp_parse', which we know is a
 	 pointer to our plugin list pointer. */
@@ -100,7 +100,7 @@
       }
       return 0;
     }
-    
+  
     struct argp argp = { .options = options, .parser = parse_opt,
 			 .args_doc = "",
 			 .doc = "Mandos password-prompt -- Read and"
@@ -111,7 +111,7 @@
       return EXIT_FAILURE;
     }
   }
-  
+    
   if (debug){
     fprintf(stderr, "Starting %s\n", argv[0]);
   }
@@ -250,7 +250,7 @@
       fprintf(stderr, "getline() returned 0, retrying.\n");
     }
   }
-  
+
   free(buffer);
   
   if (debug){

=== modified file 'plugins.d/password-prompt.xml'
--- plugins.d/password-prompt.xml	2009-01-04 21:54:55 +0000
+++ plugins.d/password-prompt.xml	2008-10-04 01:55:56 +0000
@@ -2,7 +2,7 @@
 <!DOCTYPE refentry PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
 	"http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
 <!ENTITY COMMANDNAME "password-prompt">
-<!ENTITY TIMESTAMP "2009-01-04">
+<!ENTITY TIMESTAMP "2008-10-04">
 <!ENTITY % common SYSTEM "../common.ent">
 %common;
 ]>
@@ -32,7 +32,6 @@
     </authorgroup>
     <copyright>
       <year>2008</year>
-      <year>2009</year>
       <holder>Teddy Hogeborn</holder>
       <holder>Björn Påhlsson</holder>
     </copyright>

=== modified file 'plugins.d/splashy.c'
--- plugins.d/splashy.c	2009-01-04 21:54:55 +0000
+++ plugins.d/splashy.c	2008-11-11 16:07:18 +0000
@@ -2,8 +2,8 @@
 /*
  * Passprompt - Read a password from splashy and output it
  * 
- * Copyright © 2008,2009 Teddy Hogeborn
- * Copyright © 2008,2009 Björn Påhlsson
+ * Copyright © 2008 Teddy Hogeborn
+ * Copyright © 2008 Björn Påhlsson
  * 
  * This program is free software: you can redistribute it and/or
  * modify it under the terms of the GNU General Public License as

=== modified file 'plugins.d/splashy.xml'
--- plugins.d/splashy.xml	2009-01-04 21:54:55 +0000
+++ plugins.d/splashy.xml	2008-10-04 03:11:39 +0000
@@ -2,7 +2,7 @@
 <!DOCTYPE refentry PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
 	"http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
 <!ENTITY COMMANDNAME "splashy">
-<!ENTITY TIMESTAMP "2009-01-04">
+<!ENTITY TIMESTAMP "2008-10-04">
 <!ENTITY % common SYSTEM "../common.ent">
 %common;
 ]>
@@ -32,7 +32,6 @@
     </authorgroup>
     <copyright>
       <year>2008</year>
-      <year>2009</year>
       <holder>Teddy Hogeborn</holder>
       <holder>Björn Påhlsson</holder>
     </copyright>

=== modified file 'plugins.d/usplash.c'
--- plugins.d/usplash.c	2009-01-10 02:21:13 +0000
+++ plugins.d/usplash.c	2008-11-11 16:07:18 +0000
@@ -2,8 +2,8 @@
 /*
  * Passprompt - Read a password from usplash and output it
  * 
- * Copyright © 2008,2009 Teddy Hogeborn
- * Copyright © 2008,2009 Björn Påhlsson
+ * Copyright © 2008 Teddy Hogeborn
+ * Copyright © 2008 Björn Påhlsson
  * 
  * This program is free software: you can redistribute it and/or
  * modify it under the terms of the GNU General Public License as
@@ -92,11 +92,10 @@
   }
   
   size_t written = 0;
-  ssize_t sret = 0;
   while(not interrupted_by_signal and written < cmd_line_len){
-    sret = write(fifo_fd, cmd_line + written,
-		 cmd_line_len - written);
-    if(sret == -1){
+    ret = write(fifo_fd, cmd_line + written,
+		cmd_line_len - written);
+    if(ret == -1){
       if(errno != EINTR or interrupted_by_signal){
 	int e = errno;
 	close(fifo_fd);
@@ -107,7 +106,7 @@
 	continue;
       }
     }
-    written += (size_t)sret;
+    written += (size_t)ret;
   }
   free(cmd_line_alloc);
   do{

=== modified file 'plugins.d/usplash.xml'
--- plugins.d/usplash.xml	2009-01-04 21:54:55 +0000
+++ plugins.d/usplash.xml	2008-10-04 03:11:39 +0000
@@ -2,7 +2,7 @@
 <!DOCTYPE refentry PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
 	"http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
 <!ENTITY COMMANDNAME "usplash">
-<!ENTITY TIMESTAMP "2009-01-04">
+<!ENTITY TIMESTAMP "2008-10-04">
 <!ENTITY % common SYSTEM "../common.ent">
 %common;
 ]>
@@ -32,7 +32,6 @@
     </authorgroup>
     <copyright>
       <year>2008</year>
-      <year>2009</year>
       <holder>Teddy Hogeborn</holder>
       <holder>Björn Påhlsson</holder>
     </copyright>

